## ros-rolling-behaviortree-cpp 4.3.7

=== debian/changelog ===
ros-rolling-behaviortree-cpp (4.3.7-1jammy) jammy; urgency=high

  * Test and fix issue #653 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/653>: AnyTypeAllowed by default
  * more time margin for Windows tests
  * Add support for successful conda builds (#650 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/650>)
  * fix: Update how unit tests are executed in the github workflow so they are actually run on windows (#647 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/647>)
  * Add unit test related to SequenceWithMemory #636 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/636>
  * Contributors: Davide Faconti, tony-p

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 11 Sep 2023 22:00:00 -0000

ros-rolling-behaviortree-cpp (4.3.6-1jammy) jammy; urgency=high

  * Simplify the visualization of custom type in Groot2 and improved tutorial 12
  * fix compilation warnings
  * Apply changes in ReactiveSequence to ReactiveFallback too
  * test that logging works correctly with ReactiveSequence #643 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/643>
  * reduce the number of times preconditions scripts are executed
  * PauseWithRetry test added
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 30 Aug 2023 22:00:00 -0000

ros-rolling-behaviortree-cpp (4.3.5-1jammy) jammy; urgency=high

  * fix issue #621 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/621>: ConsumeQueue
  * feat: add template specialization for convertFromString deque (#628 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/628>)
  * unit test added
  * Update groot2_publisher.h (#630 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/630>)
  * unit test issue #629 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/629>
  * WhileDoElseNode can have 2 or 3 children (#625 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/625>)
  * fix issue #624 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/624> : add TimeoutNode::halt()
  * fix recording_fist_time issue on windows (#618 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/618>)
  * Contributors: Aglargil, Davide Faconti, Michael Terzer, benyamin saedi, muritane

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 13 Aug 2023 22:00:00 -0000

ros-rolling-behaviortree-cpp (4.3.4-1jammy) jammy; urgency=high

  * Fix error #617 in TestNode
  * minitrace updated
  * fix issue #615 : don't execute preconditions if state is RUNNING
  * README.md
  * fix issue #605 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/605>: strip whitespaces and better error message
  * Export cxx-standard with target. (#604 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/604>)
  * feature #603 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/603>: add static method [std::string description()] to manifest
  * fix issue with move semantic
  * Contributors: Davide Faconti, Sebastian Kasperski

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 24 Jul 2023 22:00:00 -0000

ros-rolling-behaviortree-cpp (4.3.3-1jammy) jammy; urgency=high

  * bug fix #601 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/601>: onHalted not called correctly in Control Nodes
  * Groot recording (#598 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/598>)
    * add recording to groot publisher
    * fixed
    * protocols compatibility
    * reply with first timestamp
    * remove prints
  * Fix error when building static library (#599 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/599>)
  * fix warnings
  * 4.3.2
  * prepare release
  * fix #595 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/595> : improvement in blackboard/scripting types (#597 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/597>)
  * Merge branch 'master' of github.com:BehaviorTree/BehaviorTree.CPP
  * Merge branch 'parallel_all'
  * Fix Issue 593 (#594 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/594>): support skipping in Parallel node
  * fix ParallelAll
  * adding ParallelAll, WIP
  * Contributors: Davide Faconti, Oleksandr Perepadia

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 04 Jul 2023 22:00:00 -0000

ros-rolling-behaviortree-cpp (4.3.2-1jammy) jammy; urgency=high

  * fix #595 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/595> : improvement in blackboard/scripting types (#597 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/597>)
  * Fix Issue 593 (#594 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/594>): support skipping in Parallel node
  * adding ParallelAll
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 26 Jun 2023 22:00:00 -0000

ros-rolling-behaviortree-cpp (4.3.1-1jammy) jammy; urgency=high

  * fix issue #592 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/592>
  * use lambda in tutorial
  * add script condition
  * "fix" issue #587 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/587>: ReactiveSequence should set conditions to IDLE
  * better error message
  * Fix issue #585 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/585>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 20 Jun 2023 22:00:00 -0000

ros-rolling-behaviortree-cpp (4.3.0-1jammy) jammy; urgency=high

  * use PImpl in multiple classes
  * updated FileLogger2
  * better error messages
  * blackboard refactoring to fix buggy _autoremap
  * improved support for default values
  * fix error and add nodiscard
  * Fix #580 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/580> : more informative error when not specializing BT::toStr
  * add builtin models to WriteTreeToXML
  * add simple example to generate logs
  * add Sleep Node
  * Fix #271 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/271>: better error message
  * remove EOL ros2 from CI
  * Contributors: Davide Faconti


